DM 이벤트 삭제
curl --request DELETE \
--url https://api.x.com/2/dm_events/{event_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.x.com/2/dm_events/{event_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.x.com/2/dm_events/{event_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"deleted": true
},
"errors": [
{
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"status": 123
}
]
}{
"code": 123,
"message": "<string>"
}관리
DM 이벤트 삭제
인증된 사용자가 소유한 경우에 한해, 해당 ID를 사용해 특정 다이렉트 메시지 이벤트를 삭제합니다.
DELETE
/
2
/
dm_events
/
{event_id}
DM 이벤트 삭제
인증
OAuth2UserTokenUserToken
The access token received from the authorization server in the OAuth 2.0 flow.
경로 매개변수
삭제할 다이렉트 메시지 이벤트의 ID입니다. DM 이벤트의 고유 식별자입니다.
Pattern:
^[0-9]{1,19}$예시:
"1146654567674912769"
응답
요청이 성공했습니다.
Show child attributes
Show child attributes
Minimum array length:
1IETF RFC 7807(https://tools.ietf.org/html/rfc7807)에 정의된 HTTP Problem Details 객체
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
- Option 15
- Option 16
- Option 17
- Option 18
Show child attributes
Show child attributes
⌘I